AdaptiveComponent.ByPoints in Python code

Hi All

I’m trying to place adaptive components using the .ByPoints method within a python code block. When I pass in a list of points I get this error message:

TypeError: expected Array[Point], got list

Using exactly the same inputs within a codeblock (using designscript), the graph executes fine.

Am I missing a reference in python? I have added the following:

import clr
clr.AddReference(‘ProtoGeometry’)
from Autodesk.DesignScript.Geometry import *

clr.AddReference(‘DSCoreNodes’)
import DSCore
from DSCore import *

clr.AddReference(“RevitNodes”)
import Revit
from Revit.Elements import *